### Home Classes Methods

### In Files

- lib/ffi/struct.rb

### Parent

Field

### Methods

- ::new
- #get
- #put

### Files

- History.txt
- README.rdoc

### Class/Module Index

Quicksearch

- FFI
- FFI::AutoPointer
- FFI::AutoPointer::CallableReleaser
- FFI::AutoPointer::DefaultReleaser
- FFI::AutoPointer::Releaser
- FFI::ConstGenerator
- FFI::ConstGenerator::Constant
- FFI::Enum
- FFI::Enums
- FFI::Generator
- FFI::Generator::Task
- FFI::IO
- FFI::Library
- FFI::ManagedStruct
- FFI::NotFoundError
- FFI::Platform
- FFI::PlatformError
- FFI::Pointer
- FFI::StrPtrConverter
- FFI::Struct
- FFI::Struct::ManagedStructConverter
- FFI::StructGenerator
- FFI::StructGenerator::Field
- FFI::StructLayout
- FFI::StructLayout::Enum
- FFI::StructLayout::InnerStruct
- FFI::StructLayout::Mapped
- FFI::StructLayoutBuilder
- FFI::TypesGenerator
- FFI::Union
- FFI::VariadicInvoker

No matching classes.

# FFI::StructLayout::Mapped

### Public Class Methods

new(name, offset, type, orig_field) click to toggle source

    # File lib/ffi/struct.rb, line 61
    def initialize(name, offset, type, orig_field)
      super(name, offset, type)
      @orig_field = orig_field
    end

### Public Instance Methods

get(ptr) click to toggle source

    # File lib/ffi/struct.rb, line 66
    def get(ptr)
      type.from_native(@orig_field.get(ptr), nil)
    end

put(ptr, value) click to toggle source

    # File lib/ffi/struct.rb, line 70
    def put(ptr, value)
      @orig_field.put(ptr, type.to_native(value, nil))
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.